.c-navbar {
  position: fixed;
  top: 2rem;
  left: 2rem;
  right: 2rem;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: flex-start;
  z-index: 99;
  transition: all 0.3s ease-in-out;

  @include md {
    align-items: center;
    left: 1rem;
    right: 1rem;
  }

  @include lg {
    left: 2rem;
    right: 2rem;
  }

  &__logo {
    z-index: 999;
    display: flex;
    align-items: center;
    width: 20rem;

    @include md {
      width: 18rem;
    }

    @include lg {
      width: 30rem;
    }

    svg {
      width: 20rem;

      @include md {
        width: 18rem;
      }

      @include lg {
        width: 30rem;
      }
    }
  }

  &__nav {
    position: absolute;
    top: 0;
    right: 0;
    display: inline-flex;
    flex-direction: column;
    align-items: flex-end;
    border-radius: 9rem;
    width: 100%;
    
    @include xs {
      max-width: 37rem;
    }
    
    @include md {
      position: relative;
      flex-direction: row;
      align-items: center;
      width: auto;
      max-width: none;
      padding: 0.5rem 0.5rem 0.5rem 2rem;
      background-color: $white;
      box-shadow: 0px 5px 10px rgba($black, 0.15);
    }

    @include lg {
      padding: 0.5rem 0.5rem 0.5rem 3rem;
    }

    &::after {
      z-index: -1;
      display: block;
      position: absolute;
      top: 0;
      right: 0;
      width: 7.5rem;
      height: 3.7rem;
      content: '';
      background-color: white;
      border-radius: 2rem;
      box-shadow: 0px 5px 10px rgba($black, 0.15);
      transition: width 0.4s cubic-bezier(0.5, 1, 0.89, 1) 0.3s, height 0.4s cubic-bezier(0.5, 1, 0.89, 1);

      @include md {
        display: none;
      }
    }

    &--open {
      &::after {
        width: 100%;
        height: 100%;
        transition: width 0.4s cubic-bezier(0.5, 1, 0.89, 1), height 0.4s cubic-bezier(0.5, 1, 0.89, 1) 0.3s;
      }
  
      .c-navbar__nav__container {
        opacity: 1;
        pointer-events: auto;
        transition: height 0.4s ease, opacity 0.4s cubic-bezier(0.5, 1, 0.89, 1) 0.7s;
      }
    }
  
    &__mobile {
      display: block;
      padding: 1rem 2rem;
      color: $blue;
      font-size: 1.2rem;
      text-decoration: none;
      text-transform: uppercase;
      cursor: pointer;
  
      @include md {
        display: none;
      }
    }
  
    &__container {
      position: relative;
      display: flex;
      flex-direction: row;
      flex-wrap: wrap;
      align-items: center;
      justify-content: space-between;
      gap: 0 0.5rem;
      height: 0;
      padding: 0 2rem 2rem;
      opacity: 0;
      pointer-events: none;
      transition: height 0.4s ease;

      @include xs {
        padding: 0 3rem 2rem;
        gap: 0 1rem;
      }
  
      @include md {
        position: relative;
        flex-wrap: nowrap;
        align-items: stretch;
        height: auto;
        padding: 0;
        opacity: 1;
        pointer-events: auto;
      }
    }
  
    &__menu {
      display: flex;
      flex-direction: column;
      align-items: flex-start;
      flex: 1 0 auto;
      width: 100%;
      margin: 0;
      padding-bottom: 2rem;
  
      @include md {
        flex-direction: row;
        align-items: stretch;
        flex: auto;
        gap: 0 1.2rem;
        width: auto;
        padding-bottom: 0;
      }

      @include lg {
        gap: 0 2rem;
      }
  
      > li {
        padding: 0;
  
        &::before {
          display: none;
        }
      }
  
      &__item {
        position: relative;
        list-style: none;
        font-family: $font-light;
        font-size: 3.2rem;
        line-height: 4.8rem;
        text-decoration: none;
        text-transform: capitalize;
  
        @include md {
          display: flex;
          align-items: center;
          height: 100%;
          font-family: $font-global;
          font-size: 1.2rem;
          line-height: 1.8rem;
          text-transform: uppercase;
          &::before {
            content: '';
            display: block;
            position: absolute;
            bottom: -0.5rem;
            left: 0;
            right: 0;
            height: 0;
            background-color: $cyan;
            transition: all 0.3s ease-out;
          }

          &:hover {
            &::before {
              height: 0.4rem;
            }
          }
        }
      }
    }
  
    &__socials {
      @include md {
        display: flex;
        align-items: center;
        padding-left: 1rem;
      }

      @include lg {
        padding-left: 2rem;
      }
    }
  }
}